// OpenGL2DControl.cpp: implementation of the COpenGL2DControl class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "program3.h"
#include "OpenGL2DControl.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

COpenGL2DControl::COpenGL2DControl()
{

}

COpenGL2DControl::~COpenGL2DControl()
{

}

void COpenGL2DControl::DrawGrid()
{
	int i;
	for ( i = -10 ; i <= 10 ; i+=1 )
	{
		if ( i == 0 )
		{
			glColor3f( 0.0f, 0.0f, 0.0f );
			glLineWidth( 2.0f );
		}
		else
		{
			glColor3f( 0.7f, 0.7f, 0.7f );
			glLineWidth( 1.0f );
		}
		glBegin( GL_LINES );
			glVertex2i( -10, i );
			glVertex2i(  10, i );
		glEnd();
			glBegin( GL_LINES );
			glVertex2i( i, -10 );
			glVertex2i( i,  10 );
		glEnd();
	}
}

void COpenGL2DControl::DrawScene()
{
	glBegin( GL_POLYGON );
		glColor3f( 0.5f, 0.5f, 0.5f );
		glVertex2f( -2.5, -2.5 );
		glVertex2f( 0, -2.5 );
		glVertex2f( 1.0, 1.0 );
		glVertex2f( -1.0, 2.5 );
		glVertex2f( -.5, -.5 );
	glEnd();
}

void COpenGL2DControl::SetupViewFrustum()
{
	glOrtho( -10, 10, -10, 10, -5, 5 );
}

void COpenGL2DControl::LButtonDown( CPoint point )
{
	double dNear[3], dFar[3];
	GetWorldCoord( point, dNear, dFar );
}

void COpenGL2DControl::LButtonUp( CPoint point )
{
}

void COpenGL2DControl::MouseMove( UINT nFlags, CPoint point )
{
}