#if !defined(AFX_OPENGLCONTROL_H__17B2AD41_24C5_4A7F_BAB9_23DB3A6B598B__INCLUDED_)
#define AFX_OPENGLCONTROL_H__17B2AD41_24C5_4A7F_BAB9_23DB3A6B598B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OpenGLControl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COpenGLControl window

class COpenGLControl : public CButton
{
// Construction
public:
	COpenGLControl();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COpenGLControl)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~COpenGLControl();

	// OpenGL function
	virtual void InitOpenGLObjects();
	virtual void DestroyOpenGLObjects();

	virtual void DrawGrid();
	virtual void SetupViewTransform();
	virtual void DrawScene();
	virtual void SetupViewFrustum();
	virtual void SetupViewport( int w, int h );
	virtual void GetWorldCoord( CPoint point, double* pNear, double* pFar );
	virtual void LButtonDown( CPoint point );
	virtual void LButtonUp( CPoint point );
	virtual void RButtonDown( CPoint point );
	virtual void RButtonUp( CPoint point );
	virtual void MouseMove( UINT nFlags, CPoint point );

	// Generated message map functions
protected:
	HGLRC   m_hRC;
    CDC*    m_pDC;
	HDC		m_hDC;
	RECT	m_rect;

	//{{AFX_MSG(COpenGLControl)
	afx_msg void OnDestroy();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPENGLCONTROL_H__17B2AD41_24C5_4A7F_BAB9_23DB3A6B598B__INCLUDED_)
