// OpenGL2DControl.h: interface for the COpenGL2DControl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OPENGL2DCONTROL_H__12801C55_07FB_46FD_B9A1_B91C3E5BB30A__INCLUDED_)
#define AFX_OPENGL2DCONTROL_H__12801C55_07FB_46FD_B9A1_B91C3E5BB30A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OpenGLControl.h"

class COpenGL2DControl : public COpenGLControl  
{
public:
	COpenGL2DControl();
	virtual ~COpenGL2DControl();

	virtual void DrawGrid();
	virtual void DrawScene();
	virtual void SetupViewFrustum();
	virtual void LButtonDown( CPoint point );
	virtual void LButtonUp( CPoint point );
	virtual void MouseMove( UINT nFlags, CPoint point );

};

#endif // !defined(AFX_OPENGL2DCONTROL_H__12801C55_07FB_46FD_B9A1_B91C3E5BB30A__INCLUDED_)
