// OpenGL3DControl.h: interface for the COpenGL3DControl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OPENGL3DCONTROL_H__B16D371D_988F_4744_A94C_516E83335F57__INCLUDED_)
#define AFX_OPENGL3DCONTROL_H__B16D371D_988F_4744_A94C_516E83335F57__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OpenGLControl.h"
#include "Camera.h"

class COpenGL3DControl : public COpenGLControl  
{
public:
	COpenGL3DControl();
	virtual ~COpenGL3DControl();

	virtual void DrawGrid();
	virtual void SetupViewTransform();
	virtual void DrawScene();
	virtual void SetupViewFrustum();
	virtual void LButtonDown( CPoint point );
	virtual void LButtonUp( CPoint point );
	virtual void RButtonDown( CPoint point );
	virtual void RButtonUp( CPoint point );
	virtual void MouseMove( UINT nFlags, CPoint point );

private:
	CCamera m_Camera;
};

#endif // !defined(AFX_OPENGL3DCONTROL_H__B16D371D_988F_4744_A94C_516E83335F57__INCLUDED_)
